import React from 'react';
import ReactDOM from 'react-dom/client';
import './index.css';


const pizzaData = [
  {
    name: "Focaccia",
    ingredients: "Bread with italian olive oil and rosemary",
    price: 6,
    photoName: "pizzas/focaccia.jpg",
    soldOut: false,
  },
  {
    name: "Pizza Margherita",
    ingredients: "Tomato and mozarella",
    price: 10,
    photoName: "pizzas/margherita.jpg",
    soldOut: false,
  },
  {
    name: "Pizza Spinaci",
    ingredients: "Tomato, mozarella, spinach, and ricotta cheese",
    price: 12,
    photoName: "pizzas/spinaci.jpg",
    soldOut: false,
  },
  {
    name: "Pizza Funghi",
    ingredients: "Tomato, mozarella, mushrooms, and onion",
    price: 12,
    photoName: "pizzas/funghi.jpg",
    soldOut: false,
  },
  {
    name: "Pizza Salamino",
    ingredients: "Tomato, mozarella, and pepperoni",
    price: 15,
    photoName: "pizzas/salamino.jpg",
    soldOut: true,
  },
  {
    name: "Pizza Prosciutto",
    ingredients: "Tomato, mozarella, ham, aragula, and burrata cheese",
    price: 18,
    photoName: "pizzas/prosciutto.jpg",
    soldOut: false,
  },
];



function App(){
  
  
  
  return ( 
  <div>
       <Header/>
       <Menu />
       <Footer />
  </div>
  )
}


function Menu(){

  
  return (
    <div>
      <main className='menu'>
      <h2>Our Menu</h2>
   <div>

    <ul className='pizzas'>
          {
         
          pizzaData.map(
              pizza => <Pizza pizzaObj={pizza} />)
          
         }
         </ul>
    </div>
    </main>
    </div>
    
  )
}
function Pizza(props){

  console.log(props);
  
  return (
    <div className='pizza'>
      <img src={props.pizzaObj.photoName} alt='Pizza Pizza'/>
      <div>
      <h2> Name : {props.pizzaObj.name}</h2>
      <p>ingredients: {props.pizzaObj.ingredients}</p>
      <span>Price : {props.pizzaObj.price}</span>
      </div>
    </div>
  )


}

function Header(){

  const style={color:"red",fontSize:"50px",textTransform:"uppercase"}
  return (
    <header className="header">
      <h1> DOMINOS PIZZA</h1>
    </header>
  )
}

function Footer(){
  const hour=new Date().getHours();

  const openHours=8;
  const clouseHours=22;
  const isOpen=hour>=openHours && hour <=clouseHours
  return (
    <footer className='footer'>{

      isOpen && (
      <div className="order">
     <p> We are Open Until {clouseHours}:00. Come Visit us or Order Line  </p>
     <button className='btn'>Order</button>
      </div>

      )
      
      
      }  </footer>
  )
}

const root = ReactDOM.createRoot(document.getElementById('rootdiv'));
root.render(
  <React.StrictMode>
    <App />
   
  </React.StrictMode>
);

// If you want to start measuring performance in your app, pass a function
// to log results (for example: reportWebVitals(console.log))
// or send to an analytics endpoint. Learn more: https://bit.ly/CRA-vitals

